      subroutine mulcooo(x,i,j,k,aa)
      use module
      IMPLICIT REAL(8)(A-H,O-X,Z),logical(1)(y)
      dimension aa(3)
      integer x,i,j,k
      call mulcoood(x,i,j,k,aa(1),aa(2))
      call mulcoood(x,j,i,k,aa(3),aa(2))
      call mulcoood(x,k,i,j,aa(3),aa(1))
      !call mulcoood(x,i,k,j,aa(2),aa(1))
      !call mulcoood(x,j,k,i,aa(2),aa(3))
      !call mulcoood(x,k,j,i,aa(1),aa(3))
 
 
      return
      end
 
       subroutine mulcoeo(i,x,j,aa)
      use module
      IMPLICIT REAL(8)(A-H,O-X,Z),logical(1)(y)
      dimension aa(2)
      integer x,i,b
!      if (itype(x)==2) then
      call mulcoood(x,i,j,i,aa(2),aa(1))
      call mulcoood(x,j,i,i,aa(1),aa(2))
!      call mulcoood(x,i,j,i,aa(2),aa(1))
!      call mulcooox(x,i,i,j,aa(1)-aa(2))
!      elseif (itype(j)==2) then
!      call mulcoood(j,i,i,x,aa(1))
!      call mulcoood(j,i,x,i,aa(2))
!      call mulcooox(j,i,i,x,aa(1)-aa(2))
!      endif
 
      return
      end
 
 
 
 
